Skip to content
OpenPostDocs
OpenPostDocs
Publications

Shorten post text to fit a character limit

Returns lightly edited copy that fits the limit, or truncated copy when meaning cannot be kept. It does not save anything.

POST/post-builder/shorten

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/post-builder/shorten" \  -H "Content-Type: application/json" \  -d '{    "max_characters": 1,    "platform": "string",    "text": "string",    "workspace_id": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/ShortenResult.json",  "model": "string",  "text": "string",  "truncated": true}